<?php
// Version: 1.1; Spam Blocker

/*
 *	General Functions file for the Spam Blocker Mod
 *	c/o Chen Zhen @ https://web-develop.ca
 *	SMF 2 Version
*/

/*
 * Spam Blocker was developed for SMF forums c/o Chen Zhen @ https://web-develop.ca
 * Copyright 2020 Chen Zhen
 * This software package is distributed under the terms of its Freeware License
 * https://web-develop.ca/index.php?page=spamblocker_license
*/

// Use this file by using SSI.php
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	$_GET['debug'] = 'Blue Dream!';
	require_once(dirname(__FILE__) . '/SSI.php');
}
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

/*  This file is for mysql setup */
global $smcFunc, $scripturl, $sourcedir;

db_extend('packages');

$tables = array(
                'spamblocker_settings' => array(
			'reference' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'unsigned' => true,
				'auto' => true,
			),
			'user_message' => array(
				'type' => 'varchar',
				'size' => 255,
				'null' => false,
				'unsigned' => true,
				'auto' => false,
			),
			'error_message' => array(
				'type' => 'varchar',
				'size' => 255,
				'null' => false,
				'unsigned' => true,
				'auto' => false,
			),
			'enable_errorlog' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'enable_sfs' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'enable_akismet' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'enable_honeypot' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'enable_spamhaus' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'enable_email' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'enable_pass' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'enable_reset' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'ban_option' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 1,
				'unsigned' => true,
				'auto' => false,
			),
			'ban_full' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'ban_post' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'ban_register' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'ban_login' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'expiration' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'expire_time' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
		),
		'spamblocker_blacklist' => array(
			'reference' => array(
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'unsigned' => true,
				'auto' => true,
			),
			'id_ban_group' => array(
				'type' => 'smallint',
				'size' => 5,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'id_member' => array(
				'type' => 'mediumint',
				'size' => 8,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
		),
		'spamblocker_whitelist' => array(
			'ip_low1' => array(
				'type' => 'tinyint',
				'size' => 3,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'ip_high1' => array(
				'type' => 'tinyint',
				'size' => 3,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'ip_low2' => array(
				'type' => 'tinyint',
				'size' => 3,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'ip_high2' => array(
				'type' => 'tinyint',
				'size' => 3,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'ip_low3' => array(
				'type' => 'tinyint',
				'size' => 3,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'ip_high3' => array(
				'type' => 'tinyint',
				'size' => 3,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'ip_low4' => array(
				'type' => 'tinyint',
				'size' => 3,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
			'ip_high4' => array(
				'type' => 'tinyint',
				'size' => 3,
				'null' => false,
				'default' => 0,
				'unsigned' => true,
				'auto' => false,
			),
		)
	);

// drop the old redundant table if it exists
$smcFunc['db_drop_table'] ('{db_prefix}spamblocker_cache');

/*  Create tables if they do not exist  */
$smcFunc['db_create_table']('{db_prefix}spamblocker_settings',
	array(
		array(
			'name' => 'reference',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'auto' => true
		),
		array(
			'name' => 'user_message',
			'type' => 'varchar',
			'size' => 255,
			'unsigned' => true,
			'null' => false
		),
		array(
			'name' => 'error_message',
			'type' => 'varchar',
			'size' => 255,
			'unsigned' => true,
			'null' => false
		),
		array(
			'name' => 'enable_errorlog',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'enable_sfs',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'enable_akismet',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'enable_honeypot',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'enable_spamhaus',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'enable_email',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'enable_pass',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'enable_reset',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'ban_option',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'ban_full',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 1
		),
		array(
			'name' => 'ban_post',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'ban_register',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'ban_login',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'expiration',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'expire_time',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
	),
	array(
		array(
			'type' => 'primary',
			'columns' => array('reference')
		),
	),
	array(),
	'ignore'
);


$smcFunc['db_create_table']('{db_prefix}spamblocker_whitelist',
	array(
		array(
			'name' => 'reference',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'auto' => true
		),
		array(
			'name' => 'ip_low1',
			'type' => 'tinyint',
			'size' => 3,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'ip_high1',
			'type' => 'tinyint',
			'size' => 3,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'ip_low2',
			'type' => 'tinyint',
			'size' => 3,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'ip_high2',
			'type' => 'tinyint',
			'size' => 3,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'ip_low3',
			'type' => 'tinyint',
			'size' => 3,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'ip_high3',
			'type' => 'tinyint',
			'size' => 3,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'ip_low4',
			'type' => 'tinyint',
			'size' => 3,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'ip_high4',
			'type' => 'tinyint',
			'size' => 3,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
	),
	array(
		array(
			'type' => 'primary',
			'columns' => array('reference')
		),
	),
	array(),
	'ignore'
);

$smcFunc['db_create_table']('{db_prefix}spamblocker_blacklist',
	array(
		array(
			'name' => 'reference',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'unsigned' => true,
			'auto' => true
		),
		array(
			'name' => 'id_ban_group',
			'type' => 'smallint',
			'size' => 5,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
		array(
			'name' => 'id_member',
			'type' => 'mediumint',
			'size' => 8,
			'null' => false,
			'unsigned' => true,
			'default' => 0
		),
	),
	array(
		array(
			'type' => 'primary',
			'columns' => array('reference')
		),
	),
	array(),
	'ignore'
);

/*  Add extra needed columns into existing tables for columns native to Spam Blocker */
/*  This is necessary due to possible manual deletion or otherwise  */
foreach ($tables as $table => $column)
{
   $smcFunc['db_add_column'](
		'{db_prefix}' . $table,
		array(
			'name' => key($column),
			'type' => $column[key($column)]['type'],
			'size' => $column[key($column)]['size'],
			'unsigned' => $column[key($column)]['unsigned'],
			'null' => $column[key($column)]['null'],
			'auto' => $column[key($column)]['auto'],
		),
		array(),
		'ignore',
		'fatal'
	);
}

// default settings if they do not exist
$request = $smcFunc['db_insert']('ignore', "
			{db_prefix}spamblocker_settings",
			array('reference' => 'int', 'user_message' => 'string', 'error_message' => 'string', 'enable_errorlog' => 'int', 'enable_sfs' => 'int', 'enable_akismet' => 'int', 'enable_honeypot' => 'int', 'enable_spamhaus' => 'int', 'enable_email' => 'int', 'enable_pass' => 'int', 'enable_reset' => 'int', 'ban_option' => 'int', 'ban_full' => 'int', 'ban_post' => 'int', 'ban_register' => 'int', 'ban_login' => 'int', 'expiration' => 'int', 'expire_time' => 'int'),
			array(1, 'Access denied.', 'SpamBlocker IP Ban', 2, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 0, 1, 6),
			array('reference')
		);

$smcFunc['db_add_column'](
	'{db_prefix}messages',
	array(
            'name' => 'spamblocker',
            'type' => 'int',
            'size' => 10,
            'null' => false,
	    'unsigned' => true,
	    'default' => 0
	),
        array(),
        'ignore',
        'fatal'
);

/* Insert integration hooks */
add_integration_function('integrate_pre_include', '$sourcedir/SpamBlockerHooks.php');
add_integration_function('integrate_pre_load', 'spamBlocker_allExpired');
add_integration_function('integrate_actions', 'spamBlocker_actions');
add_integration_function('integrate_load_permissions', 'spamBlocker_load_permissions');
add_integration_function('integrate_admin_areas', 'spamBlocker_admin_areas');
add_integration_function('integrate_validate_login', 'spamBlocker_login');
add_integration_function('integrate_create_topic', 'spamBlocker_akismet_topic');
add_integration_function('integrate_create_reply', 'spamBlocker_akismet_reply');
add_integration_function('integrate_register', 'spamBlocker_register');
add_integration_function('integrate_menu_buttons', 'spamBlocker_admin_button');

/* Adjust table type/collation */
SB_adjust_table();

/*  END - Mysql setup  */

/* Adjust Spam Blocker tables to common Type & Collation */
function SB_adjust_table()
{
	global $smcFunc, $db_name;
	$tables = array('spamblocker_settings', 'spamblocker_whitelist', 'spamblocker_blacklist');

	/* Query Engine & Collation of the database */
	$result = $smcFunc['db_query']('', "
				SHOW TABLE STATUS FROM " . $db_name
			);
	while ($val = $smcFunc['db_fetch_assoc']($result))
	{
		$engine = $val['Engine'];
		$collation = $val['Collation'];
		$charsetx = explode('_', $val['Collation']);
		$charset = $charsetx[0];
	}
	$smcFunc['db_free_result']($result);

	/* Adjust SpamBlocker tables to match */
	foreach ($tables as $table)
	{
		$alterTable = $smcFunc['db_query']('', "
					ALTER TABLE {db_prefix}{$table}
					CONVERT TO CHARACTER SET {$charset}
					COLLATE {$collation}"
				);
		$alterTable = $smcFunc['db_query']('', "
					ALTER TABLE {db_prefix}{$table}
					ENGINE = {$engine}"
				);
	}
}
?>